gtkspell3 (3.0.10-1) unstable; urgency=medium

  * New upstream release
    - Switch to enchant-2 instead of enchant
  * debian/control.in: Bump Standards-Version to 4.4.1 (no further changes)
  * Bump debhelper compatibility version to 12

 -- Laurent Bigonville <bigon@debian.org>  Wed, 08 Jan 2020 14:41:07 +0100

gtkspell3 (3.0.9-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * debian/libgtkspell3-3-0.symbols: Add Build-Depends-Package
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 20:59:16 -0500

gtkspell3 (3.0.9-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Use dh_missing --fail-missing
  * Build with all hardening flags

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 19 Dec 2017 12:19:14 -0500

gtkspell3 (3.0.9-1) unstable; urgency=medium

  * New upstream release.
  * Fix GNOME_DOWNLOAD_URL in debian/rules and use .xz compression.
  * Update debian/libgtkspell3-3-0.symbols.
  * Convert from cdbs to dh.

 -- Michael Biebl <biebl@debian.org>  Sat, 10 Sep 2016 15:21:55 +0200

gtkspell3 (3.0.8-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/libgtkspell3-3-0.symbols.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Apr 2016 02:14:20 +0200

gtkspell3 (3.0.7-2) unstable; urgency=medium

  * Stop installing the generated examples/Makefile. It's not particularly
    useful anyway (can't be used to compile the example .c files) and breaks
    multiarch co-installability. (Closes: #787317)

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Jun 2015 23:42:04 +0200

gtkspell3 (3.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Convert to multiarch.
  * Bump Standards-Version to 3.9.6.
  * Update and rewrite debian/copyright using the machine-readable copyright
    format 1.0.

 -- Michael Biebl <biebl@debian.org>  Sat, 30 May 2015 20:36:56 +0200

gtkspell3 (3.0.6-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 23 Aug 2014 21:09:30 -0700

gtkspell3 (3.0.4-1) unstable; urgency=low

  [ Jackson Doak ]
  * New upstream release

  [ Michael Biebl ]
  * Set GNOME_DOWNLOAD_URL and TARBALL_EXT so "get-orig-source" works, the
    source tarball is hosted on sf.net.

 -- Michael Biebl <biebl@debian.org>  Mon, 14 Oct 2013 14:23:05 +0200

gtkspell3 (3.0.3-1) unstable; urgency=low

  * New upstream release.
  * Drop patches, all merged upstream.
  * debian/patches/01-hide-private-symbols.patch: Don't export private
    symbols.
  * Update symbols file, add new symbols.

 -- Michael Biebl <biebl@debian.org>  Sat, 29 Jun 2013 19:56:42 +0200

gtkspell3 (3.0.2-2) unstable; urgency=low

  [ Iain Lane ]
  * debian/patches/gtk-spell-cflags-typo.patch: Cherry-pick patch from
    upstream to substitute correct variable name for CFLAGS.
  * debian/patches/fix-automake-syntax.patch: Cherry-pick patch from
    upstream to use correct automake substitution syntax.
  * dh-autoreconf for this change.

  [ Jordi Mallach ]
  * Build-Depend on valac (>= 0.20).

 -- Jordi Mallach <jordi@debian.org>  Wed, 29 May 2013 11:27:17 +0200

gtkspell3 (3.0.2-1) unstable; urgency=low

  * New upstream release. 
  * Make Debian GNOME Maintainers the primary maintainer of this package.
  * Update Build-Depends as per configure.ac.
  * Bump to debhelper compat v9.
  * Update to Standards-Version 3.9.4.
  * Enable gobject-introspection support and add a gir1.2-gtkspell3-3.0
    package.
  * Fix watch file to look for new tarball name.
  * Rename packages for name change: libgtkspell-3-0 → libgtkspell3-3-0.
  * Add Conflicts/Replaces for old packages, as there are filename clashes.
  * Add a symbols file for libgtkspell3-3-0.
  * Install vala files.
  * Build-Depend on libglib2.0-doc to ensure correct cross references in
    generated gtk-doc documentation.
  * Pass -c4 to dpkg-gensymbols.
  * Call the list-missing rule.

 -- Jordi Mallach <jordi@debian.org>  Mon, 29 Apr 2013 01:00:19 +0200

gtkspell3 (3.0.0~hg20110814-1) unstable; urgency=low

  * New upstream release, based on GTK+3.
  * Rename source package to gtkspell3, as we need to keep the GTK+2
    version and both can be installed in parallel.
  * Rename binary packages to match new lib name.
  * Bump Build-Depends to meet new requirements.
  * Bump to debhelper compat 8.
  * Rewrite debian/rules using CDBS, as most other pkg-gnome sources.
  * Rename *.files to .install.
  * Update symbols file.
  * Remove .dirs files.
  * Drop .la and .a files.
  * Pass --enable-gtk-doc to configure.
  * Remove duplicate Section field.
  * Add Homepage and Vcs-* fields.
  * Bump to Standards-Version 3.9.2.

 -- Jordi Mallach <jordi@debian.org>  Mon, 26 Dec 2011 01:29:07 +0100

gtkspell (2.0.16-1) unstable; urgency=low

  * New upstream release
    - Should fix some memory leak problems (Closes: #520608)
  * Add Build-Depends-Package to .symbols file

 -- Ari Pollak <ari@debian.org>  Fri, 08 Jan 2010 22:13:05 -0500

gtkspell (2.0.13-2) unstable; urgency=low

  * Add updated copyright & watch files from Siegfried Gevatter 
    (Closes: #508069) 

 -- Ari Pollak <ari@debian.org>  Sat, 10 Jan 2009 16:48:43 -0500

gtkspell (2.0.13-1) unstable; urgency=low

  * New upstream release
    - Switch to Enchant (Closes: #473536)

 -- Ari Pollak <ari@debian.org>  Wed, 21 May 2008 19:30:47 -0400

gtkspell (2.0.10-4) unstable; urgency=low

  * Seed symbols file for libgtkspell0
  * Move spell-checking library from Libs to Libs.private in aspell.pc
  * Remove .la files since we provide a pkg-config .pc file

 -- Ari Pollak <ari@debian.org>  Sun, 20 Jan 2008 16:16:25 -0500

gtkspell (2.0.10-3) unstable; urgency=low

  * Update build-depends for libaspell-dev >= 0.60.3-3 for the C++ ABI
    transition

 -- Ari Pollak <ari@debian.org>  Sat,  9 Jul 2005 20:12:45 -0400

gtkspell (2.0.10-2) unstable; urgency=low

  * Re-enable word-breaking workarounds, it's still broken in Pango
    (Closes: #302799)

 -- Ari Pollak <ari@debian.org>  Thu, 19 May 2005 23:08:32 -0400

gtkspell (2.0.10-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Sun, 27 Feb 2005 15:32:50 -0500

gtkspell (2.0.9-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Sat, 26 Feb 2005 13:48:13 -0500

gtkspell (2.0.8-1) unstable; urgency=low

  * New upstream release, contains some minor bugfixes and a new translation

 -- Ari Pollak <ari@debian.org>  Fri,  8 Oct 2004 14:14:49 -0400

gtkspell (2.0.7-1) unstable; urgency=low

  * New upstream release, conveniently with no changes since yesterday.
  * Actually include the LC_MESSAGES files in libgtkspell0 since
    it's now localized

 -- Ari Pollak <ari@debian.org>  Sun, 22 Aug 2004 22:59:02 -0400

gtkspell (2.0.6+cvs20040821-1) unstable; urgency=low

  * Update to latest upstream CVS, fixes spellchecking under gaim with a non-C
    locale, and fixes clobbering other programs' locales (Closes: #266380)

 -- Ari Pollak <ari@debian.org>  Sat, 21 Aug 2004 17:59:55 -0400

gtkspell (2.0.6-2) unstable; urgency=low

  * I just realized the -dev depdencies were incorrectly depending on
    libpspell-dev. Change it to libaspell-dev.

 -- Ari Pollak <ari@debian.org>  Sun,  8 Aug 2004 07:08:31 -0400

gtkspell (2.0.6-1) unstable; urgency=low

  * New upstream release (wow, I'm slow.)

 -- Ari Pollak <ari@debian.org>  Sat,  7 Aug 2004 23:54:47 -0400

gtkspell (2.0.5-3) unstable; urgency=low

  * Don't depend on aspell
  * Remove Recommends: aspell-dictionary, since libaspell15 provides that

 -- Ari Pollak <ari@debian.org>  Mon, 23 Feb 2004 07:24:53 -0500

gtkspell (2.0.5-2) unstable; urgency=low

  * Bump standards-version; no changes necessary

 -- Ari Pollak <ari@debian.org>  Sun,  1 Feb 2004 11:05:16 -0500

gtkspell (2.0.5-1) unstable; urgency=low

  * New upstream release

 -- Ari Pollak <ari@debian.org>  Mon, 26 Jan 2004 16:12:36 -0500

gtkspell (2.0.4-7) unstable; urgency=low

  * Versioned dependency on libaspell-dev

 -- Ari Pollak <ari@debian.org>  Tue, 19 Aug 2003 12:32:51 -0400

gtkspell (2.0.4-6) unstable; urgency=low

  * Move -dev package to libdevel
  * Add versioned shlib

 -- Ari Pollak <ari@debian.org>  Wed,  4 Jun 2003 14:48:12 -0500

gtkspell (2.0.4-5) unstable; urgency=low

  * Don't build documentation, built docs already come in the 
    distribution. (Closes: #178143)

 -- Ari Pollak <ari@debian.org>  Thu, 23 Jan 2003 22:40:48 -0500

gtkspell (2.0.4-4) unstable; urgency=low

  * Don't specify -laspell in the pkg-config file. Will solve weird 
    aspell dependency problems in the future.

 -- Ari Pollak <ari@debian.org>  Mon, 20 Jan 2003 18:06:00 -0500

gtkspell (2.0.4-3) unstable; urgency=low

  * Add xsltproc to build-depends

 -- Ari Pollak <ari@debian.org>  Sat, 18 Jan 2003 22:40:29 -0500

gtkspell (2.0.4-2) unstable; urgency=low

  * Clean up docs/xml and docs/html/*.png since 'make clean' doesn't do 
  it properly itself.
  * Build-depends on gtk-doc-tools

 -- Ari Pollak <ari@debian.org>  Sat, 18 Jan 2003 19:57:11 -0500

gtkspell (2.0.4-1) unstable; urgency=low

  * New upstream release
  * Use aspell instead of pspell (Closes: #177299)
  * Includes documentation in the -dev package

 -- Ari Pollak <ari@debian.org>  Fri, 17 Jan 2003 18:05:36 -0500

gtkspell (2.0.3-5) unstable; urgency=low

  * Make sure to include libgtkspell.la (Thanks Robert McQueen)

 -- Ari Pollak <ari@debian.org>  Sun, 15 Dec 2002 23:31:43 -0500

gtkspell (2.0.3-4) unstable; urgency=low

  * Depend on aspell. No reason people should be using ispell.

 -- Ari Pollak <ari@debian.org>  Thu, 12 Dec 2002 02:32:22 -0500

gtkspell (2.0.3-3) unstable; urgency=low

  * Recommends: aspell and aspell-dictionary, make a note in README.Debian.

 -- Ari Pollak <ari@debian.org>  Fri, 29 Nov 2002 22:15:28 -0500

gtkspell (2.0.3-2) unstable; urgency=low

  * Check for noopt in DEB_BUILD_OPTIONS correctly

 -- Ari Pollak <ari@debian.org>  Thu, 14 Nov 2002 19:09:51 -0500

gtkspell (2.0.3-1) unstable; urgency=low

  * New upstream release
    - Hack around Pango word-breaking bug:
      http://bugzilla.gnome.org/show_bug.cgi?id=97545
      so we no longer incorrectly flag words with apostrophes as
      misspellings.
  
 -- Ari Pollak <ari@debian.org>  Wed, 13 Nov 2002 22:46:43 -0500

gtkspell (2.0.2-3) unstable; urgency=low

  * Unreleased
  * Bump standards to 3.5.7
    - Don't check for debug, default to "-O2 -g -Wall" for CFLAGS and
      check for noopt, as policy suggests

 -- Ari Pollak <ari@debian.org>  Fri, 11 Oct 2002 20:42:40 -0400

gtkspell (2.0.2-2) unstable; urgency=low

  * Updated -dev description
  * Recompile against libgtk2.0-0, not -0png3 (ugh)

 -- Ari Pollak <ari@debian.org>  Wed,  2 Oct 2002 20:26:55 -0400

gtkspell (2.0.2-1) unstable; urgency=low

  * New upstream release
    - Fixes a crash if the LANG env variable isn't set (which isn't the
	  case on almost all Debian systems)

 -- Ari Pollak <ari@debian.org>  Tue, 13 Aug 2002 17:08:04 -0400

gtkspell (2.0.1-2) unstable; urgency=low

  * Recompile against libgtk2.0-0png3
  * New upstream release

 -- Ari Pollak <ari@debian.org>  Thu,  11 Aug 2002 15:59:05 -0400

gtkspell (2.0.0-2) unstable; urgency=low

  * Add dependencies to the -dev package
  * Add debian/watch file
  * Debhelper v4

 -- Ari Pollak <compwiz@aripollak.com>  Tue, 30 Jul 2002 13:44:37 -0400

gtkspell (2.0.0-1) unstable; urgency=low

  * Initial Debian release. (Closes: #153160)

 -- Ari Pollak <compwiz@aripollak.com>  Sun,  5 May 2002 16:12:31 -0400

